.maincontent {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}
.item {
    display: flex;
    gap: 20px;
    flex-direction: column;
    justify-content: center;
    border-bottom: 1px solid #ccc;
    padding: 40px 0;
    .item-head {
        display: flex;
        align-items: center;
        position: relative;
        gap: 30px;
        .top-image {
            width: 150px;
            border: 1px solid #ccc;
        }
        .item-name {
            display: flex;
            flex-direction: column;
            * {
                margin: 0;
            }
            h3 {
                font-size: 20px;
                font-weight: 900;
            }
            p {
                font-size: 14px;
                color: gray;
            }
        }
    }
    .item-info {
        background: #fafafa;
        padding: 20px;
        border-radius: 10px;
        * {
            margin: 0;
        }
        p {
            display: flex;
            flex-direction: column;
            margin-bottom: 20px;
            &:last-child {
                margin-bottom: 0;
            }
            span {
                font-weight: 800;
            }
        }
    }
}

.access {
    background: linear-gradient(90deg, #0e3eff, #01aaff);
    position: absolute;
    right: 20px;
    padding: 10px;
    width: 160px;
    display: flex;
    text-align: center;
    color: #fff;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    gap: 8px;
    transition: all 0.3s;
    &:hover {
        gap: 17px;
        opacity: 0.8;
    }
    &:active {
        transform: scale(0.95);
        opacity: 0.6;
    }
    img {
        width: auto;
        height: 15px;
    }
}

@media (max-width: 768px) {
    .item {
        flex-direction: column;
        justify-content: center;
        position: relative;
        .item-head {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: start;
            gap: 30px;
            padding-bottom: 50px;
            .top-image {
                width: 100%;
            }
        }
    }
    .access {
        position: absolute;
        right: auto;
        bottom: 0;
        width: 100%;
        padding: 10px;
        display: flex;
        text-align: center;
        color: #fff;
        justify-content: center;
        align-items: center;
        border-radius: 100px;
        gap: 8px;
        transition: all 0.3s;
        &:hover {
            gap: 17px;
            opacity: 0.8;
        }
        &:active {
            transform: scale(0.95);
            opacity: 0.6;
        }
        img {
            width: auto;
            height: 15px;
        }
    }
}